# Package
version       = "2.0.0"
author        = "Jonathan Bernard (jdb@jdb-labs.com)"
description   = "Utility to generate diffs of full directory trees."
license       = "BSD"
bin           = @["treediff"]
srcDir        = "src/main/nim"

# Dependencies
requires: @["nim >= 1.0.4", "docopt >= 0.6.8"]

# Dependencies from git.jdb-software.com/jdb/nim-packages
requires: @["console_progress >= 1.2.2"]
requires "https://git.jdb-software.com/jdb/update-nim-package-version.git"

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version treediff 'src/main/nim/cliconstants.nim'"